Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
rb_heap_struct Struct Reference

## Data Fields
RVALUE * | freelist
struct heap_page * | free_pages
struct heap_page * | using_page
struct list_head | pages
struct heap_page * | sweeping_page
struct heap_page * | pooled_pages
size_t | total_pages
size_t | total_slots

## Detailed Description

Definition at line 656 of file gc.c.

## Field Documentation

## ◆ free_pages

struct heap_page* rb_heap_struct::free_pages

Definition at line 659 of file gc.c.

## ◆ freelist

RVALUE* rb_heap_struct::freelist

Definition at line 657 of file gc.c.

## ◆ pages

struct list_head rb_heap_struct::pages

Definition at line 661 of file gc.c.

## ◆ pooled_pages

struct heap_page* rb_heap_struct::pooled_pages

Definition at line 664 of file gc.c.

## ◆ sweeping_page

struct heap_page* rb_heap_struct::sweeping_page

Definition at line 662 of file gc.c.

## ◆ total_pages

size_t rb_heap_struct::total_pages

Definition at line 666 of file gc.c.

## ◆ total_slots

size_t rb_heap_struct::total_slots

Definition at line 667 of file gc.c.

## ◆ using_page

struct heap_page* rb_heap_struct::using_page

Definition at line 660 of file gc.c.

The documentation for this struct was generated from the following file:

- gc.c